<?xml version="1.0" encoding="UTF-8"?>
<include xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_include.xsd">
    <section id="refilo_marketing" translate="label" sortOrder="80" showInDefault="1" showInWebsite="1" showInStore="1">
        <class>separator-top</class>
        <label>Marketing</label>
        <tab>refilo</tab>
        <resource>FiloBlu_Refilo::refilo_config</resource>
        <group id="google_tagmanager" translate="label" type="text" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>Google Tag Manager</label>
            <field id="enabled" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Google Tag Manager Enabled</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="code" translate="label" type="text" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Google Tag Manager Code</label>
            </field>
            <field id="auth" translate="label" type="text" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Google Tag Manager Auth</label>
            </field>
            <field id="preview" translate="label" type="text" sortOrder="40" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Google Tag Manager Preview</label>
            </field>
            <field id="file_url" translate="label" type="text" sortOrder="50" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>File Url</label>
                <comment><![CDATA[Including file name, (e.g. https://www.googletagmanager.com/gtm.js)]]></comment>
            </field>
        </group>
        <group id="builtin_search_metrics" translate="label" type="text" sortOrder="30" showInDefault="1"
               showInWebsite="1" showInStore="1">
            <label>Builtin Search Metrics</label>
            <field id="enabled" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Enabled</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
        </group>
        <group id="richsnippet_organization" translate="label" type="text" sortOrder="40" showInDefault="1"
               showInWebsite="1" showInStore="1">
            <label>Rich Snippet - Organization</label>
            <field id="logo" translate="label" type="image" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Logo</label>
                <backend_model>Magento\Config\Model\Config\Backend\Image</backend_model>
                <upload_dir config="system/filesystem/media">richsnippet</upload_dir>
                <base_url type="media">richsnippet</base_url>
                <comment><![CDATA[Allowed file types: jpeg, gif, png]]></comment>
            </field>
        </group>
        <group id="richsnippet_product" translate="label" type="text" sortOrder="50" showInDefault="1"
               showInWebsite="1" showInStore="1">
            <label>Rich Snippet - Product</label>
            <field id="brand" translate="label comment" sortOrder="1" showInStore="1" showInWebsite="1" showInDefault="1">
                <label>Brand</label>
            </field>
        </group>

        <group id="refilo_seo" translate="label" type="text" sortOrder="80" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>SEO</label>
            <field id="serp_thumbnail" translate="label" type="image" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>SERP Thumbnail</label>
                <backend_model>Magento\Config\Model\Config\Backend\Image</backend_model>
                <upload_dir config="system/filesystem/media" scope_info="1">filoblu/seo</upload_dir>
                <base_url type="media" scope_info="1">filoblu/seo</base_url>
                <comment><![CDATA[Allowed file types: jpeg, gif, png.]]></comment>
            </field>
        </group>
    </section>
</include>
